﻿using System;
using System.Collections.Generic;
using System.Text;

namespace xVideo
{
    public class Player :   Common
    {
        public Player()
        {

        }
        ~Player()
        {
            StreamFree();
        }
        public bool RenderFile(string filename, IntPtr winHandle, bool decode, bool mix)
        {

            StreamFree();

            uint flags = (uint)xVideo_StreamFlags.xVideo_UNICODE;
            if (decode) flags = flags | (uint)xVideo_StreamFlags.xVideo_STREAM_DECODE;
            if (mix) flags = flags | (uint)xVideo_StreamFlags.xVideo_STREAM_MIX;

            SetChannel(Functions.xVideo_StreamCreateFile(filename, 0, winHandle, flags));

            return (GetChannel() > 0);
        }
    }
}
