unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TForm2 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton; Shift:
        TShiftState; X, Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Unit1,xVideo;

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
begin
  parent := FormPlayer.panel1;
  form2.Show;
  form2.Width := FormPlayer.panel1.Width;
  form2.Height := FormPlayer.panel1.Height;
  form2.Top := 0;
  form2.Left := 0;
 
end;

procedure TForm2.FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
 case key of
  VK_UP:     xVideo_DVDChannelMenu(chan,xVideo_DVDSelectButton,2,0);
  VK_DOWN:   xVideo_DVDChannelMenu(chan,xVideo_DVDSelectButton,3,0);
  VK_LEFT:   xVideo_DVDChannelMenu(chan,xVideo_DVDSelectButton,0,0);
  VK_RIGHT:  xVideo_DVDChannelMenu(chan,xVideo_DVDSelectButton,1,0);
  VK_RETURN: xVideo_DVDChannelMenu(chan,xVideo_DVDActivateBut,0,0);
 end;
end;

procedure TForm2.FormMouseDown(Sender: TObject; Button: TMouseButton; Shift:
    TShiftState; X, Y: Integer);
begin
 xVideo_DVDChannelMenu(chan,xVideo_DVDActionAtPos,x,y);
 
end;

procedure TForm2.FormMouseMove(Sender: TObject; Shift: TShiftState; X, Y:
    Integer);
begin
 xVideo_DVDChannelMenu(chan,xVideo_DVDSelectAtPos,x,y);
end;

end.
