{
  xVideo 1.2 Delphi Multivideo Output Example
  Copyright (c) 2010-2011 Cristea Aurel Ionut.
  Check http://surodev.com for updates
}


unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls,xVideo, StdCtrls, Menus, ComCtrls;

type
  TForm3 = class(TForm)
    Panel1: TPanel;
    OpenDialog: TOpenDialog;
    Button1: TButton;
    Panel4: TPanel;
    Label7: TLabel;
    TrackBar4: TTrackBar;
    Panel2: TPanel;
    Panel3: TPanel;
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TrackBar4Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;
  chan: HSTREAM;
  win: array[0..3] of HWINDOW;
implementation

{$R *.dfm}


procedure TForm3.FormDestroy(Sender: TObject);
begin
 if chan<>0 then
 xVideo_StreamFree(chan);
end;
procedure TForm3.Button1Click(Sender: TObject);
var
 I: Integer;
begin
  OpenDialog.Title  := 'Open Files';
  OpenDialog.Filter := 'All files|*.*';
  if chan<>0 then
  begin
  xVideo_StreamFree(chan);
  chan:=0;
  end;
 if not OpenDialog.Execute then exit;
 Chan := xVideo_StreamCreateFile(PChar(OpenDialog.FileName),0,panel1.Handle,xVideo_STREAM_LOOP);
 if chan<>0 then
 begin
  I:= 0;
  Win[0] := 0; //main video window
  xVideo_ChannelSetWindow(chan,0,panel1.Handle);
  Inc(I);
  Win[I] := xVideo_ChannelAddWindow(chan,panel2.Handle);
  Inc(I);
  Win[I] := xVideo_ChannelAddWindow(chan,panel3.Handle);
  Inc(I);
  Win[I] := xVideo_ChannelAddWindow(chan,panel4.Handle);
  xVideo_ChannelPlay(chan);
 end;
end;

procedure TForm3.Button2Click(Sender: TObject);
begin
 xVideo_ChannelStop(chan);
end;

procedure TForm3.Button3Click(Sender: TObject);
begin
 xVideo_ChannelPlay(chan);
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
  xVideo_Init(Panel1.Handle,0);
  xVideo_SetConfig(xVideo_CONFIG_VideoRenderer,xVideo_VMR9);
end;

procedure TForm3.TrackBar4Change(Sender: TObject);
var
  I: Integer;
  pos: Double;
begin
 pos :=  Trackbar4.Position;
 for I := 0 to 3 do
 xVideo_SetVideoAlpha(chan,Win[i],0,pos);
end;

end.
